This is the source code for the Kubwa visitor board from OpenSim.
I had to turn the service offline due to some... reasons.

**Please note that this version is a new one**

This version is creating a complete and nice looking image which will be shown on the Boards. It does not offer any metadata to the LSL script. If you want metadata to process it in any other way, you might want to use some parts and classes out of this project for your own projects.

-----
**Requirements:**
* PHP 5.6 (i have not tested it with PHP 7.0 or PHP 8.0)
* MySql
* Windows (prefered, i haven't tested it with Linux because i'am Windows user)
* A running and configured OpenSim region
* Disabled PHP safe_mode to allow exec commands
* Optionally a running imagemagick extension in php that supports jpeg2000

If you have trouble setting up the server side, please contact Kubwa, he may or may not help you:

https://mumble.kubwa.de/

or via mail:

visitorboard @ kubwa . de

-----
* The required MySql database structure can be found in the file **Database.sql**. It also includes some basic datasets that might be required for language detection.

* The file **Boards.iar** includes the visitorboards and their scripts. You can load that iar-file to your inworld inventory trought the region console.
For example: `load iar Firstname Lastname / YourPassword Boards.iar`

* To start, you have to edit the file **Config.php** and insert the MySql user and password.

-----
Setting up the board inworld requires you to edit one line in the scripts. Rez the boards and find the script **.Kubwa.Display.Base.Blackboard** in its contents. Open it and find the line `string BaseURI = "http://api.kubwa.de/ProfileBoard";` (usally line 18). Now change this URI to your servers address and path you put the code in.


Thats all i think.


*The entire project is release under the BSD license. Even if not all files including a reference to that license, they are still BSD licensed.*

-----
**Banned users**

This visitorboard allows to blacklist users or grids. Blacklisted users or grids will not be shown with their original data on the visitorboard and are being replaced by dummy data.

To blacklist an user or a grid or whatever, you have to create a new entry in the MySql table bans. The column **banvalue** includes the data. You can enter a name, a partial name, a uuid, a grid uri or part of it or whatever into this field. For example the entry `osgrid.org` will backlist all users coming from the osgrid.